View Issue Details

IDProjectCategoryView StatusLast Update
0003147unrealircdpublic2007-04-18 04:56
ReportervonitsanetAssigned Tostskeeps 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOS-OS Version-
Product Version3.2.6 
Target VersionFixed in Version3.3-alpha0 
Summary0003147: /Setname and spamfilter
DescriptionWhen a /setname issued the spamfilter should check if the realname is blocked.
TagsNo tags attached.
3rd party modules

Activities

vonitsanet

2007-01-24 09:46

reporter   ~0013104

*bump*

Bricker

2007-01-27 16:59

reporter   ~0013125

hmmm, seems logical of course because then if the setname was forced, then spamfilter would have to react. so this may be behavior that someone wants, but i doubt it. dunno how much it would take to have it checked, but im sure it wouldnt be much. yeah and *bump* ;P

2007-01-27 18:20

 

setname_spamfilter.patch (1,382 bytes)

djGrrr

2007-01-27 18:20

reporter   ~0013129

I've made a patch for this and attached it :)

White_Magic

2007-02-08 13:37

reporter   ~0013203

ive already reported this in a private bug awhile back now,
 commands to the server are not checked by the spamfilter u target which leaves it open to abuse...

vonitsanet

2007-04-16 13:38

reporter   ~0013464

*bumb*

Bricker

2007-04-17 00:17

reporter   ~0013471

yeah, wtf. bump bump bump!!!

stskeeps

2007-04-17 04:39

reporter   ~0013473

Will someone other than the coder confirm this patch fixes this problem?

stskeeps

2007-04-18 04:56

reporter   ~0013500

Patched in .2357

Issue History

Date Modified Username Field Change
2006-12-16 18:35 vonitsanet New Issue
2007-01-24 09:46 vonitsanet Note Added: 0013104
2007-01-27 16:59 Bricker Note Added: 0013125
2007-01-27 18:20 djGrrr File Added: setname_spamfilter.patch
2007-01-27 18:20 djGrrr Note Added: 0013129
2007-02-08 13:37 White_Magic Note Added: 0013203
2007-04-16 13:38 vonitsanet Note Added: 0013464
2007-04-17 00:17 Bricker Note Added: 0013471
2007-04-17 04:39 stskeeps Note Added: 0013473
2007-04-18 04:56 stskeeps Status new => resolved
2007-04-18 04:56 stskeeps Fixed in Version => 3.3-alpha0
2007-04-18 04:56 stskeeps Resolution open => fixed
2007-04-18 04:56 stskeeps Assigned To => stskeeps
2007-04-18 04:56 stskeeps Note Added: 0013500
2007-07-13 21:14 aquanight Relationship added parent of 0003442
2007-07-13 21:14 aquanight Relationship deleted parent of 0003442